# Uses of Class
org.opensaml.security.trust.impl.ExplicitKeyTrustEvaluator

Packages that use ExplicitKeyTrustEvaluator
Package
Description
org.opensaml.security.trust.impl
`TrustEngine` implementation classes.
org.opensaml.xmlsec.signature.support.impl
Implementations of signature evaluation functions.

## Uses of ExplicitKeyTrustEvaluator in org.opensaml.security.trust.impl

Fields in org.opensaml.security.trust.impl declared as ExplicitKeyTrustEvaluator
Modifier and Type
Field
Description
`private final ExplicitKeyTrustEvaluator`
ExplicitKeyTrustEngine.`trustEvaluator`
Trust evaluator.

## Uses of ExplicitKeyTrustEvaluator in org.opensaml.xmlsec.signature.support.impl

Fields in org.opensaml.xmlsec.signature.support.impl declared as ExplicitKeyTrustEvaluator
Modifier and Type
Field
Description
`private final ExplicitKeyTrustEvaluator`
ExplicitKeySignatureTrustEngine.`keyTrust`
The external explicit key trust engine to use as a basis for trust in this implementation.